/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/ALIB.H__   1.4   20 Jun 1996 09:29:38   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/ALIB.H__  $
** 
**    Rev 1.4   20 Jun 1996 09:29:38   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.2   10 Jun 1996 10:24:16   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.0   29 May 1996 09:36:12   ZJRD
** Initial revision.
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// al.h
//
// Roger Zhang
//                                                                           
// 5/2/96
//
/////////////////////////////////////////////////////////////////////////////
#ifndef _ALIB_
#define _ALIB_    



class ALIBTool : public CToolOption
{      
// constructor/destructor
public:
    ALIBTool() { SetDefault(); }
    
// attributes
public:      
    int     m_nMemoryModel;
    BOOL    m_float;
    CString m_strMore;
    CString m_strPath;

    virtual LPCSTR GetToolName(void) const 
    {
        return "BSO link51 Library";
    }

// operations
public:
    virtual void SetDefault(void);
    virtual BOOL LoadOption(FILE * fp);
    virtual BOOL SaveOption(FILE * fp);

    CString GetOption(void);

// diagnostic
public:
#ifdef _DEBUG
    virtual void Dump(CDumpContext &dc) const;
#endif      
};

#endif // _ALIB_
